#keep level 0 fight #3
from eventAPI import *
from APIUtils import *

rtKeep0Flag3=0

def fireEvent(e):
   global rtKeep0Flag3
   rtKeep0Flag3 = getTag(e, "rtKeep0Flag3")
   if (rtKeep0Flag3 == 1):
      return 1
   else:
      fightThem(e)
   if (rtKeep0Flag3 == 1):
      return 1
   else:
      return 0

def fightThem(e):
   combatRet = combat(e, [("Soul Leech", 3, 2, 10), ("Wizard Wraith", 7, 3, 30)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtKeep0Flag3
   rtKeep0Flag3 = 1
   setTag(e, "rtKeep0Flag3", rtKeep0Flag3)
